API ReferenceApplications
Path Parameters
ssoAppId*string
Request Body
application/json
grant_type?string
code?string
redirect_uri?string
client_id?string
client_secret?string
code_verifier?string
refresh_token?string
scope?string
ssoAppId?string
audience?string
username?string
password?string
assertion?string
client_assertion_type?string
client_assertion?string
device_code?string
OIDC token endpoint (sso app)
curl -X POST "https://api.descope.com/string/oauth2/v1/token" \ -H "Content-Type: application/json" \ -d '{}'{ "access_token": "string", "token_type": "string", "refresh_token": "string", "id_token": "string", "expires_in": 0, "scope": "string", "error": "string", "description": "string", "issued_token_type": "string"}export interface Response {access_token?: stringtoken_type?: stringrefresh_token?: stringid_token?: stringexpires_in?: numberscope?: string/** * Those fields are in use just in case of error of device flow scenario (where device polling on the specific error response) */error?: stringdescription?: stringissued_token_type?: string} Was this helpful?